import request from '@/utils/request'

// 查询商业计划书列表
export function listLegalDueDiligence(query) {
  return request({
    url: '/file/legalDueDiligence/list',
    method: 'get',
    params: query
  })
}

// 查询商业计划书详细
export function getLegalDueDiligence(id) {
  return request({
    url: '/file/legalDueDiligence/' + id,
    method: 'get'
  })
}

// 新增商业计划书
export function addLegalDueDiligence(data) {
  return request({
    url: '/file/legalDueDiligence',
    method: 'post',
    data: data
  })
}

// 修改商业计划书
export function updateLegalDueDiligence(data) {
  return request({
    url: '/file/legalDueDiligence',
    method: 'put',
    data: data
  })
}

// 删除商业计划书
export function delLegalDueDiligence(id) {
  return request({
    url: '/file/legalDueDiligence/' + id,
    method: 'delete'
  })
}
